- NAME
- DESCRIPTION
- SYNOPSIS
- ACCESSORS
- SOURCE
- MAINTAINERS
- AUTHORS
- COPYRIGHT

# NAME

Test2::Event::Plan - The event of a plan

# DESCRIPTION

Plan events are fired off whenever a plan is declared, done testing is called, or a subtext completes.

# SYNOPSIS

        use Test2::API qw/context/;
        use Test2::Event::Plan;

        my $ctx = context();

        # Plan for 10 tests to run
        my $event = $ctx->plan(10);

        # Plan to skip all tests (will exit 0)
        $ctx->plan(0, skip_all => "These tests need to be skipped");

# ACCESSORS

$num = $plan->max

  Get the number of expected tests

$dir = $plan->directive

  Get the directive (such as TODO, skip_all, or no_plan).

$reason = $plan->reason

  Get the reason for the directive.

# SOURCE

The source code repository for Test2 can be found at http://github.com/Test-More/test-more/.

# MAINTAINERS

Chad Granum <exodist@cpan.org>

# AUTHORS

Chad Granum <exodist@cpan.org>

# COPYRIGHT

Copyright 2016 Chad Granum <exodist@cpan.org>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://dev.perl.org/licenses/